Skip to content
Permalink
Browse files
feat: Support ESLint 7.x
BREAKING CHANGE: Requires Node@^10.12.x || 12.x
BREAKING CHANGE: Requires ESLint@^7.x
  • Loading branch information
MichaelDeBoey committed May 9, 2020
1 parent 58d8f91 commit 9adfc6fb2158e46a7d1cabffa941ef6d4d896f11
Show file tree
Hide file tree
Showing 2 changed files with 8 additions and 4 deletions.
@@ -1,7 +1,11 @@
language: node_js
node_js:
- node
- 8
- 14
- 12
- 12.0
- 10
- 10.12
before_install:
- npm config set depth 0
notifications:
@@ -18,7 +18,7 @@
"babel-register": "^6.26.0",
"chai": "^4.2.0",
"eclint": "^2.8.1",
"eslint": "^5.13.0",
"eslint": "^7.0.0",
"eslint-config-canonical": "^18.1.1",
"gitdown": "^3.1.1",
"glob": "^7.1.4",
@@ -29,7 +29,7 @@
"semantic-release": "^15.13.19"
},
"engines": {
"node": ">=4"
"node": "^10.12.0 || >=12.0.0"
},
"husky": {
"hooks": {
@@ -45,7 +45,7 @@
"main": "./dist/index.js",
"name": "eslint-plugin-flowtype",
"peerDependencies": {
"eslint": ">=6.1.0"
"eslint": "^7.0.0"
},
"repository": {
"type": "git",

0 comments on commit 9adfc6f

Please sign in to comment.